Bug 33799 - I18N - Provide ability to build <Language>-packaged NetBeans
I18N - Provide ability to build <Language>-packaged NetBeans
Status: RESOLVED FIXED
Product: www
Classification: Unclassified
Component: Builds & Repositories
3.x
All All
: P1 (vote)
: 3.x
Assigned To: nbbuild-issues@ide
nbbuild-issues@ide
: I18N
Depends on:
Blocks: 31543
  Show dependency treegraph
 
Reported: 2003-05-21 07:55 UTC by _ mihmax
Modified: 2003-05-23 07:44 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch for nbbuild/mlbuild/build.xml and nbbuild/build.xml fo support EN+JA+ZH+ZH_TW, EN+RU and EN+FR localized packages. (10.07 KB, patch)
2003-05-21 20:35 UTC, rbalada
Details | Diff
The patch, which is going to be applied (9.35 KB, patch)
2003-05-22 19:43 UTC, rbalada
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description _ mihmax 2003-05-21 07:55:17 UTC
Currently there's no ability to build NetBeans
prepackaged with some certain language.

For e.g., there're 4 languages in translatedfiles
module, but there's no way to have only one of
them included into the NetBeans build.

There definitely needs to be a solution.
Comment 1 rbalada 2003-05-21 12:53:46 UTC
Maxym,

it seem there already is a solution in nbbuild/mlbuild/build.xml.
We should probably merge it from release35 branch to trunk. Maybe some
more language oriented granularity inside the 
nbbuild/mlbuild/build.xml file would be fine, but we certainly have
already working solution.

Let me know your opinion.

Administrative note: please set Target Milestone for further evaluation.
Comment 2 rbalada 2003-05-21 20:35:11 UTC
Created attachment 10367 [details]
Patch for nbbuild/mlbuild/build.xml and nbbuild/build.xml fo support EN+JA+ZH+ZH_TW, EN+RU and EN+FR localized packages.
Comment 3 rbalada 2003-05-21 20:43:26 UTC
Accepting.
Comment 4 _ mihmax 2003-05-22 17:26:33 UTC
Actually I'd like to:
- be able to build Russian NetBeans 3.5 myself
- let it other developers
- let it buildmasters, because:

I'd like to have NetBeans 3.5 Russian FCS 
So the target Milestone is "3.5"
Comment 5 rbalada 2003-05-22 19:43:08 UTC
Created attachment 10387 [details]
The patch, which is going to be applied
Comment 6 _ mihmax 2003-05-23 06:40:29 UTC
I'm not sure why the <target name="all-a11y" ... is needed, to me,
nbbuild/build.xml shouldn't be patched at all, or patched under
separate issue.

nbbuild/mlbuild/buil.xml is too complex, could there be a possibly
eaisier solution?

Like <property locales="ru,fr,ja">
And a special task to copy these locale files?
Comment 7 rbalada 2003-05-23 07:44:57 UTC
Maxym,

I have had to solve better modularity/granularity for language
packaged NetBeans for "default" MultiLingual build. To make it happen
I used your issue which was just a part of the whole solution and
escalated it to more complex solution. There was no reason bother
myself with another issue directly related. The target all-a11y was
necessary to successfully build Update Centre NBMs independently on
locale (for Russian NBMs too, even it must not be localized). The
build process has to build all the NBMs for any language, even the
localization is not present for that language. This solution allows us
to create language separated Update Centres and don't bother with
completing Language-separated NBM packages with EN-only NBMs.

To build NetBeans with:
- English and Russian locale, invoke ant -f
nb_all/nbbuild/mlbuild/build.xml -Dnetbeans.russian=true buildide.
- English and French locale, invoke ant -f
nb_all/nbbuild/mlbuild/build.xml -Dnetbeans.french=true buildide.
- English and Japanese locale, invoke ant -f
nb_all/nbbuild/mlbuild/build.xml -Dnetbeans.japanese=true buildide.
- English and Chinese locale, invoke ant -f
nb_all/nbbuild/mlbuild/build.xml -Dnetbeans.chinese=true buildide.

To build NBMs, run target "buildnbms" instead of "buildide".

I don't recommend trying to build IDE and NBMs in one command as it
may fail with java.lang.OutOfMemory error (may be introduced
indirectly by strange NoClassDefFound). Running the targets separately
is safe with ANT_OPTS="-Xmx400m". Maybe lower memory settings could
work too.

After build, the package files can be found:
IDE:nbbuild/mlbuild/NetBeansIDE-release35-${buildnumber}-ML*.zip
NBMs:nbbuild/mlbuild/NetBeansIDE-release35-${buildnumber}-ML-*nbms.zip


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo